#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: Agda
version: 2.4.0.2
id: Agda-2.4.0.2-9d455da8cde7b2d41e5fb07ab024a75d

license: OtherLicense
copyright:
maintainer: Ulf Norell <ulfn@chalmers.se>
stability:
homepage: http://wiki.portal.chalmers.se/agda/
package-url:
synopsis: A dependently typed functional programming language and proof assistant
description: Agda is a dependently typed functional programming language: It has
             inductive families, which are similar to Haskell'\''s GADTs, but they
             can be indexed by values and not just types. It also has
             parameterised modules, mixfix operators, Unicode characters, and an
             interactive Emacs interface (the type checker can assist in the
             development of your code).
             .
             Agda is also a proof assistant: It is an interactive system for
             writing and checking proofs. Agda is based on intuitionistic type
             theory, a foundational system for constructive mathematics developed
             by the Swedish logician Per Martin-L&#xf6;f. It has many
             similarities with other proof assistants based on dependent types,
             such as Coq, Epigram and NuPRL.
             .
             This package includes both a command-line program (agda) and an
             Emacs mode. If you want to use the Emacs mode you can set it up by
             running @agda-mode setup@ (see the README).
             .
             Note that the Agda library does not follow the package versioning
             policy, because it is not intended to be used by third-party
             packages.
category: Dependent types
author: Ulf Norell, Andreas Abel, Nils Anders Danielsson, Makoto Takeyama, Catarina Coquand, with contributions by Stevan Andjelkovic, Marcin Benke, Jean-Philippe Bernardy, James Chapman, Jesper Cockx, Dominique Devriese, Peter Divanski, Fredrik Nordvall Forsberg, Olle Fredriksson, Daniel Gustafsson, Patrik Jansson, Alan Jeffrey, Wolfram Kahl, Fredrik Lindblad, Francesco Mazzoli, Stefan Monnier, Darin Morrison, Guilhem Moulin, Nicolas Pouillard, Andrés Sicard-Ramírez, Andrea Vezzosi and many more.
exposed: True
exposed-modules: Agda.Main Agda.ImpossibleTest
                 Agda.Interaction.BasicOps Agda.Interaction.EmacsTop
                 Agda.Interaction.InteractionTop Agda.Compiler.CallCompiler
                 Agda.Compiler.HaskellTypes Agda.Compiler.Epic.AuxAST
                 Agda.Compiler.Epic.CaseOpts Agda.Compiler.Epic.Compiler
                 Agda.Compiler.Epic.CompileState Agda.Compiler.Epic.Epic
                 Agda.Compiler.Epic.Erasure Agda.Compiler.Epic.ForceConstrs
                 Agda.Compiler.Epic.Forcing Agda.Compiler.Epic.FromAgda
                 Agda.Compiler.Epic.Injection Agda.Compiler.Epic.Interface
                 Agda.Compiler.Epic.NatDetection Agda.Compiler.Epic.Primitive
                 Agda.Compiler.Epic.Smashing Agda.Compiler.Epic.Static
                 Agda.Compiler.JS.Case Agda.Compiler.JS.Compiler
                 Agda.Compiler.JS.Syntax Agda.Compiler.JS.Substitution
                 Agda.Compiler.JS.Parser Agda.Compiler.JS.Pretty
                 Agda.Compiler.MAlonzo.Compiler Agda.Compiler.MAlonzo.Encode
                 Agda.Compiler.MAlonzo.Misc Agda.Compiler.MAlonzo.Pretty
                 Agda.Compiler.MAlonzo.Primitives
                 Agda.Interaction.CommandLine.CommandLine
                 Agda.Interaction.EmacsCommand Agda.Interaction.Exceptions
                 Agda.Interaction.FindFile Agda.Interaction.Highlighting.Dot
                 Agda.Interaction.Highlighting.Emacs
                 Agda.Interaction.Highlighting.Generate
                 Agda.Interaction.Highlighting.HTML
                 Agda.Interaction.Highlighting.Precise
                 Agda.Interaction.Highlighting.Range
                 Agda.Interaction.Highlighting.Vim
                 Agda.Interaction.Highlighting.LaTeX Agda.Interaction.Imports
                 Agda.Interaction.Response Agda.Interaction.MakeCase
                 Agda.Interaction.Monad Agda.Interaction.Options
                 Agda.Interaction.Options.Lenses Agda.Syntax.Abstract.Copatterns
                 Agda.Syntax.Abstract.Name Agda.Syntax.Abstract.Pretty
                 Agda.Syntax.Abstract.Views Agda.Syntax.Abstract Agda.Syntax.Common
                 Agda.Syntax.Concrete.Definitions Agda.Syntax.Concrete.Generic
                 Agda.Syntax.Concrete.Name Agda.Syntax.Concrete.Operators.Parser
                 Agda.Syntax.Concrete.Operators Agda.Syntax.Concrete.Pretty
                 Agda.Syntax.Concrete Agda.Syntax.Fixity Agda.Syntax.Info
                 Agda.Syntax.Internal Agda.Syntax.Internal.Defs
                 Agda.Syntax.Internal.Generic Agda.Syntax.Internal.Pattern
                 Agda.Syntax.Literal Agda.Syntax.Notation Agda.Syntax.Parser.Alex
                 Agda.Syntax.Parser.Comments Agda.Syntax.Parser.Layout
                 Agda.Syntax.Parser.LexActions Agda.Syntax.Parser.Lexer
                 Agda.Syntax.Parser.LookAhead Agda.Syntax.Parser.Monad
                 Agda.Syntax.Parser.Parser Agda.Syntax.Parser.StringLiterals
                 Agda.Syntax.Parser.Tokens Agda.Syntax.Parser Agda.Syntax.Position
                 Agda.Syntax.Scope.Base Agda.Syntax.Scope.Monad
                 Agda.Syntax.Translation.AbstractToConcrete
                 Agda.Syntax.Translation.ConcreteToAbstract
                 Agda.Syntax.Translation.InternalToAbstract
                 Agda.Termination.CallGraph Agda.Termination.CallMatrix
                 Agda.Termination.CutOff Agda.Termination.Inlining
                 Agda.Termination.Monad Agda.Termination.Order
                 Agda.Termination.RecCheck Agda.Termination.SparseMatrix
                 Agda.Termination.Semiring Agda.Termination.TermCheck
                 Agda.Termination.Termination Agda.Tests Agda.TheTypeChecker
                 Agda.TypeChecking.Abstract Agda.TypeChecking.CheckInternal
                 Agda.TypeChecking.CompiledClause
                 Agda.TypeChecking.CompiledClause.Compile
                 Agda.TypeChecking.CompiledClause.Match
                 Agda.TypeChecking.Constraints Agda.TypeChecking.Conversion
                 Agda.TypeChecking.Coverage Agda.TypeChecking.Coverage.Match
                 Agda.TypeChecking.Coverage.SplitTree Agda.TypeChecking.Datatypes
                 Agda.TypeChecking.DisplayForm Agda.TypeChecking.DropArgs
                 Agda.TypeChecking.Empty Agda.TypeChecking.EtaContract
                 Agda.TypeChecking.Errors Agda.TypeChecking.Free
                 Agda.TypeChecking.Forcing Agda.TypeChecking.Implicit
                 Agda.TypeChecking.Injectivity Agda.TypeChecking.InstanceArguments
                 Agda.TypeChecking.Irrelevance Agda.TypeChecking.Level
                 Agda.TypeChecking.LevelConstraints Agda.TypeChecking.MetaVars
                 Agda.TypeChecking.MetaVars.Mention
                 Agda.TypeChecking.MetaVars.Occurs Agda.TypeChecking.Monad.Base
                 Agda.TypeChecking.Monad.Base.Benchmark
                 Agda.TypeChecking.Monad.Base.KillRange
                 Agda.TypeChecking.Monad.Benchmark Agda.TypeChecking.Monad.Builtin
                 Agda.TypeChecking.Monad.Closure Agda.TypeChecking.Monad.Constraints
                 Agda.TypeChecking.Monad.Context Agda.TypeChecking.Monad.Debug
                 Agda.TypeChecking.Monad.Env Agda.TypeChecking.Monad.Exception
                 Agda.TypeChecking.Monad.Imports Agda.TypeChecking.Monad.MetaVars
                 Agda.TypeChecking.Monad.Mutual Agda.TypeChecking.Monad.Open
                 Agda.TypeChecking.Monad.Options Agda.TypeChecking.Monad.Sharing
                 Agda.TypeChecking.Monad.Signature
                 Agda.TypeChecking.Monad.SizedTypes Agda.TypeChecking.Monad.State
                 Agda.TypeChecking.Monad.Statistics Agda.TypeChecking.Monad.Trace
                 Agda.TypeChecking.Monad Agda.TypeChecking.Patterns.Abstract
                 Agda.TypeChecking.Patterns.Match Agda.TypeChecking.Polarity
                 Agda.TypeChecking.Positivity Agda.TypeChecking.Pretty
                 Agda.TypeChecking.Primitive Agda.TypeChecking.ProjectionLike
                 Agda.TypeChecking.Quote Agda.TypeChecking.RecordPatterns
                 Agda.TypeChecking.Records Agda.TypeChecking.Reduce
                 Agda.TypeChecking.Reduce.Monad Agda.TypeChecking.Rules.Builtin
                 Agda.TypeChecking.Rules.Builtin.Coinduction
                 Agda.TypeChecking.Rules.Data Agda.TypeChecking.Rules.Decl
                 Agda.TypeChecking.Rules.Def Agda.TypeChecking.Rules.LHS
                 Agda.TypeChecking.Rules.LHS.Implicit
                 Agda.TypeChecking.Rules.LHS.Instantiate
                 Agda.TypeChecking.Rules.LHS.Problem
                 Agda.TypeChecking.Rules.LHS.ProblemRest
                 Agda.TypeChecking.Rules.LHS.Split Agda.TypeChecking.Rules.LHS.Unify
                 Agda.TypeChecking.Rules.Record Agda.TypeChecking.Rules.Term
                 Agda.TypeChecking.Serialise Agda.TypeChecking.SizedTypes
                 Agda.TypeChecking.SizedTypes.Solve
                 Agda.TypeChecking.SizedTypes.Syntax
                 Agda.TypeChecking.SizedTypes.Tests
                 Agda.TypeChecking.SizedTypes.Utils
                 Agda.TypeChecking.SizedTypes.WarshallSolver
                 Agda.TypeChecking.Substitute Agda.TypeChecking.SyntacticEquality
                 Agda.TypeChecking.Telescope Agda.TypeChecking.Test.Generators
                 Agda.TypeChecking.Tests Agda.TypeChecking.With Agda.Utils.BiMap
                 Agda.Utils.Char Agda.Utils.Cluster Agda.Utils.Either
                 Agda.Utils.Favorites Agda.Utils.FileName Agda.Utils.Fresh
                 Agda.Utils.Functor Agda.Utils.Function Agda.Utils.Geniplate
                 Agda.Utils.Graph.AdjacencyMap
                 Agda.Utils.Graph.AdjacencyMap.Unidirectional Agda.Utils.Hash
                 Agda.Utils.HashMap Agda.Utils.Impossible Agda.Utils.IO.Binary
                 Agda.Utils.IO.UTF8 Agda.Utils.List Agda.Utils.Map Agda.Utils.Maybe
                 Agda.Utils.Maybe.Strict Agda.Utils.Monad Agda.Utils.Null
                 Agda.Utils.PartialOrd Agda.Utils.Permutation Agda.Utils.Pointer
                 Agda.Utils.Pointed Agda.Utils.Pretty Agda.Utils.QuickCheck
                 Agda.Utils.ReadP Agda.Utils.SemiRing Agda.Utils.Size
                 Agda.Utils.String Agda.Utils.Suffix Agda.Utils.TestHelpers
                 Agda.Utils.Time Agda.Utils.Trie Agda.Utils.Tuple Agda.Utils.Unicode
                 Agda.Utils.Update Agda.Utils.VarSet Agda.Utils.Warshall
                 Agda.Version Agda.Auto.Auto Agda.Auto.Convert Agda.Auto.Typecheck
                 Agda.Auto.NarrowingSearch Agda.Auto.Syntax Agda.Auto.SearchControl
                 Agda.Auto.CaseSplit
hidden-modules: Paths_Agda
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/Agda-2.4.0.2
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/Agda-2.4.0.2
              /usr/local/lib
hs-libraries: HSAgda-2.4.0.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: QuickCheck-2.6-164c474e24c08de25dfbeb2d624cb24b
         STMonadTrans-0.3.2-b8a79ca024e878679d53e20352a55e2c
         array-0.5.0.0-98aa445e59f3eb0c886795ff07406d84
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         binary-0.7.1.0-fdf5e9ff14a1a435f4c200e5bb5946e6
         boxes-0.1.3-ebac0823520a67d6c88cc207214f024b
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         containers-0.5.5.1-23e2a2b94d6e452c773209f31d8672c5
         data-hash-0.2.0.0-65ccb045b9dd572ce91bf25141c0f09f
         deepseq-1.3.0.2-733fe43e121f761739636bd6670bea77
         directory-1.2.1.0-7bc3edddb9ec0c2616861a4f1c5f6c54
         equivalence-0.2.5-2b930d963c26d716146da1596e598b9c
         filepath-1.3.0.2-1580a61d3226e4be45fe2130dc2881e3
         geniplate-0.6.0.4-e8a618b639147c253aaa58ae6cd92a73
         hashable-1.2.2.0-7cfb61f0c68a03cacd19199a33e9c118
         hashtables-1.1.2.1-1e5fa41d36e3c7726164d09eecb75673
         haskeline-0.7.1.2-a4af8982f4de5c19d70aa0f904ad1250
         haskell-src-exts-1.15.0.1-095483b4dfc53e4dffde0d68e3bff4ed
         mtl-2.1.3.1-8bcc0591131896cfc8761a93703d4c61
         parallel-3.2.0.4-e7d84d2578e6412ec995ab7b1bd5ca95
         pretty-1.1.1.1-055fb3b6b88c48ad1bf91e5cf35828d1
         process-1.2.0.0-163b32a503548d746f4aa93b497ff8ea
         strict-0.3.2-df596e44acdb3ea81e40ff4dad74a922
         text-1.1.0.0-ae5f08307fb9d06679d77b9fce515032
         time-1.4.2-9927ada6d5503e0b70e51a11902c8b61
         transformers-0.3.0.0-16a97696ae672940f1523b262e566ba5
         unordered-containers-0.2.4.0-ab8d3f7773b26c54df0958504a88212e
         xhtml-3000.2.1-07c9e389382ba81c8ef2e4cc64e972c2
         zlib-0.5.4.1-e192d7a862bf9247587461a5894b2aef
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/Agda-2.4.0.2/html/Agda.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/Agda-2.4.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
